#
# spec file for package octave-forge-ncarray
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  ncarray
Name:           octave-forge-%{octpkg}
Version:        1.0.5
Release:        1.5
Summary:        Access to NetCDF files as a multi-dimensional array from Octave
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://octave.sourceforge.io/%{octpkg}/
Source0:        https://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  octave-devel
Requires:       octave-cli >= 3.4.0
Requires:       octave-forge-netcdf >= 1.0.2
Requires:       octave-forge-statistics >= 1.0.6

%description
Access a single or a collection of NetCDF files as a multi-dimensional array.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%{octpackages_dir}/%{octpkg}-%{version}

%changelog
* Thu Sep 15 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 1.0.5:
  * minor updates for octave compatibility
  * update function docs for texinfo
  * change license from gplv2+ to gplv3+
* Wed Nov 27 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 1.0.4:
  * Avoid obsolete strmatch function
  * Use a tolerance in test script (bug #49391)
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.0.3
